#ifndef DOODLEBOARD_H
#define DOODLEBOARD_H

#include "drawwidget.h"


#include <QMenu>
#include <QLabel>
#include <QPixmap>
#include <QMenuBar>
#include <QToolBar>
#include <QSpinBox>
#include <QComboBox>
#include <QTextCursor>
#include <QTextStream>
#include <QPrintDialog>
#include <QFileDialog>
#include <QMessageBox>
#include <QTextCodec>
#include <QMainWindow>
#include <QColorDialog>
/**
 *ʵͿѻ幦ܵͷļ
 * @brief The DoodleBoard class
 */
class DoodleBoard : public QMainWindow
{
    Q_OBJECT
public:
    explicit DoodleBoard(QWidget *parent = 0);
    void fileInit();//ļʼ
    void editInit();//༭ʼ
    void createToolBar();//
private:

    DrawWidget *draw;//

    QToolBar *fileTool;//ļ
    QToolBar *editTool;//༭
    QLabel *styleLabel;
    QComboBox *styleCom;//ʷ˵
    QLabel *widthLabel;
    QSpinBox *widthSpain;//

    //ļද¼
    QAction *exit;
    QAction *load;
    QAction *save;

    //༭ද¼
    QAction *color;
    QAction *clear;
    QAction *send;

private slots:

    void savePic();//ͼƬ
    void loadPic();//ͼƬͿѻ
    void showStyle();//ı仭ʷ
    void showColor();//ı仭ɫ
    
};

#endif // DOODLEBOARD_H
